Bug 3325 - Gzip fails on random archives
Gzip fails on random archives
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: gzip (Show other bugs)
6.0
i386 Linux
high Severity low
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-06-07 21:16 EDT by mkatshym
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-06-08 04:55:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mkatshym 1999-06-07 21:16:47 EDT
For smoe reason when using gzip seperatley (and with tar
-zxvf, etc.) gzip will report a crc corruption error.  This
occurs on everything from linux kernel sources, to just
programs people have tarred and gzipped up.  I have checked
each gzipped file on a SunOS machine with gzip version
1.2.4 (same as on RH6.0) and they have worked perfectly.  On
some gzipped files, gunzip works just fine, it seems
random.  Have already checked that the files were downloaded
in binary format.
Comment 1 mkatshym 1999-06-07 21:23:59 EDT
Just for your info, example files which it fails on include
linux-2.2.9.tar.gz from ftp.us.kernel.org, it does not fail however on
linux-2.2.5.tar.gz.
Comment 2 Jeff Johnson 1999-06-08 04:55:59 EDT
I downloaded linux-2.2.9.tar.gz from ftp.us.kernel.org and ran
"zcat linux-2.2.9.tar.gz > /dev/null" on both i386 and sparc64
architectures successfuilly. Perhaps you have some other problem
(possibly hardware on bleeding edge kernel) ... ?

Note You need to log in before you can comment on or make changes to this bug.